Como corrigir erros de register_globals PHP

Se você estiver usando uma versão antiga do PHP, é provável que você tenha visto os erros da seguinte forma:  PHP Erro fatal: a diretiva ‘register_globals’ não está mais disponível no PHP em Unknown na linha 0

“Erro fatal do PHP: a diretiva ‘register_globals’ não está mais disponível no PHP em Unknown na linha 0”

“Erro Fatal do PHP: A diretiva ‘register_globals’ está obsoleta no PHP 5.3 e maior em Unknown na linha 0”

Agora, register_globals é uma configuração do php que busca automaticamente valores de formulários GET e POST em variáveis ​​locais dentro de seu script PHP. Este é um risco de segurança, e os hackers podem adivinhar facilmente os valores e variáveis. Portanto, da versão 5.3 do PHP, esta diretiva foi removida do PHP e não é mais suportada.

Como resolver o problema de registrar globals em PHP

Se você receber algum dos erros acima, é provável que atualmente você esteja hospedado em um servidor com a versão PHP acima de 5.3 ou a empresa de hospedagem transferiu seu site de um servidor com PHP antigo para um servidor com o PHP mais recente. Nesses casos, você precisa procurar um arquivo chamado php.ini em seu domínio e comentar a linha a seguir se encontrar ou alterar o valor para 0

Deixe uma resposta

O seu endereço de e-mail não será publicado. Campos obrigatórios são marcados com *